<?php

$title = 'Поиск пользователей';

require_once ('system/function.php');
require_once ('system/header.php');

//гостям куй :D
if(!$user['id']) {
header('Location: '.$HOME.'');
exit();
}

switch($_GET['act']) {
default:
echo '<div class="title">'.$title.'</div>';

$login=NULL;
if (isset($_SESSION['login']))$login=stripcslashes(htmlspecialchars($_SESSION['login']));
if (isset($_POST['login']))$login=stripcslashes(htmlspecialchars($_POST['login']));
$_SESSION['login']=$login;
$login=ereg_replace("( ){1,}","",$login);



if (isset($_GET['go']) && $login!=NULL)
{
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `login` like '%".mysql_escape_string($login)."%'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];

if ($k_post==0)
echo '<div class="podmenu"><center><font color="red">По вашему запросу ничего не найдено</font><center></div>';



$q=mysql_query("SELECT * FROM `users` WHERE `login` like '%".mysql_escape_string($login)."%' ORDER BY id DESC LIMIT $start, 10");
while ($ank = mysql_fetch_array($q))
{
if($num==1){ 
echo "<div class='links'>"; 
$num=0;
}else{ 
echo "<div class='rowup'>"; 
$num=1;}

if($ank['level'] == 0){ $dol = '<b>Юзер</b>';}
elseif($ank['level'] == 1){ $dol = '<b>Модер</b>';}
elseif($ank['level'] == 2){ $dol = '<b>Админ</b>';}
elseif($ank['level'] == 3){ $dol = '<b>Создатель</b>';}

echo '<div class="links">'.nick($ank['id']).' <span style="color: #61b565">['.$dol.']</span></div>
<div class="podmenu">Зарегистрирован: ('.vremja($ank['datareg']).')
<br/>Последнее посещение: '.vremja($ank['viz']).'</div>';echo "</div>\n";
}



if ($k_page>1)str("suser.php?go&amp;",$k_page,$page); // Вывод страниц
echo "<div class='links'><a href=\"suser.php\">Новый поиск</a><br/></div>";
require_once ('system/footer.php');
}

else

{                 

echo "<form method=\"post\" action=\"suser.php?go\">";

echo "<div class='title'>Введите Ник:</div>";
echo '<div class="podmenu">';
echo "<input type=\"text\" name=\"login\" value=\"$login\"/><br />\r\n";

echo "<input type=\"submit\" value=\"Найти\" />";
echo "</form>\n";

}}
echo '</div>';
require_once ('system/footer.php');
?>